BAREOS-DIR(8)

NAME
bareos-dir - Bareos Director

SYNOPSIS
bareos-dir [options]

DESCRIPTION
This manual page documents briefly the bareos-dir command.
Bareos's Director Daemon acts as the controller of the network backup system: it is responsible for scheduling and coordinating backups across the network.

OPTIONS

-c path
    Specify the configuration file or directory to use.

-d nn
    Set debug level to nn.

-dt Print timestamp in debug output.

-f  Run in foreground (for debugging).

-g group
    Set the group/gid to run as.

-m  Print kaboom output (for debugging)

-r job
    Run <job>.

-s  No signals (for debugging).

-t  Test the configuration and report errors.

-u user
    Set the username/uid to run as.

-v  Set verbose mode.

-?  Show version and usage of program.

TCP-WRAPPERS CONFIGURATION
Tcpwrappers looks for the service name of the bareos daemons in hosts.allow The service names are not the names of the binaries, but the configured names of the components, often %hostname%-%component%. So the hosts.allow entry has to match %hostname%-%component% (servername-dir for example) instead of bareos-%component% WARNING: This means that if the hosts.allow file has the entry: bareos-dir: ALL you will not be able to run bconsole to connect to the local director! The entry would have to read: server-dir: ALL and this will allow the console to connect to the director. (The process running is bareos-dir.)

SEE ALSO
bareos-fd(8), bareos-sd(8).

AUTHOR
This manual page was written by Jose Luis Tallon <jltallon@adv-solutions.net>.